package com.moka.gdtauto.service;

import java.time.LocalDateTime;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import com.moka.gdtauto.GdtAutoApplication;
import com.moka.gdtauto.task.AdPlanDailyReportSyncTask;



/**
 * 广告计划日报同步测试
 * mvn test -Dtest=AdPlanDailyReportSyncTest -Dspring.profiles.active=test
 */
@SpringBootTest(classes = GdtAutoApplication.class)
@ActiveProfiles("test")
public class AdPlanDailyReportSyncTest {
    
    @Autowired
    private AdPlanDailyReportSyncTask adPlanDailyReportSyncTask;
    @Autowired
    private AdPlanDailyReportService adPlanDailyReportService;


    @Test
    public void testSyncReqDailyReport() {
        LocalDateTime now = LocalDateTime.now();
        adPlanDailyReportService.syncReqDailyReport(29L, now, now);
    }

    @Test
    public void testSyncRepDailyReport() {
        LocalDateTime now = LocalDateTime.now();
        adPlanDailyReportService.syncRepDailyReport(29L, now, now);
    }
}
